Автор Тема: Консоль и текстовый редактор как инструменты для управления требованиями - Creq  (Прочитано 1613 раз)

nvoynov

  • Jr. Member
  • **
  • Сообщений: 89
  • Рейтинг читателей: 2
    • Просмотр профиля
Приветствую, коллеги.

Давненько уже не посещал этот ресурс. Но вот изобрел очередной велосипед и решил им с вами поделится :)

Собственно все интересное рассказал в блоге, смотрите пост http://nvoynov.blogspot.com/2015/09/creq-ruby-gem.html, там же ссылка на github.

А также прокомментирую, для тех кто не знаком с Ruby, чтобы поиграться, нужно
1. Поставить Ruby
2. Открыть консоль с Ruby и написать 'gem install creq'
3. Как отработает предыдущая команда можно начинать :)

PS.

Сначала это может показаться странным решением. Но у всех свои привычки, своя среда и инструменты. Современный текстовый редактор - это очень мощная штука с огромным полезной функциональности из коробки и плагинами на все случаи; требования - это просто текст. Текстовый редактор и консоль существуют в любой ОС.

Вот и получилось, что
- в качестве GUI используется текстовый редактор (можно сделать еще более удобным для решения конкретных задач за счет плагинов);
- версионность обеспечивает SCM инструмент;
- связывает все вместе простенький интерфейс командной строки.
« Последнее редактирование: 27 Сентября 2015, 09:47:43 от nvoynov »
С уважением,
Николай


Denis Beskov

  • Member of CAR
  • Hero Member
  • *****
  • Сообщений: 2407
  • Рейтинг читателей: 90
    • Просмотр профиля
    • Школа системного анализа
Re: еще одни велосипед :)
« Ответ #1 : 26 Сентября 2015, 21:48:05 »
Николай, дайте пожалуйста теме содержательный заголовок.

Galogen

  • Member of CAR
  • Hero Member
  • *****
  • Сообщений: 6103
  • Рейтинг читателей: 194
  • Аксакал
    • Просмотр профиля
    • Профиль в Моем Круге
С руби на какой операционке играете? На виндах не все так просто.

nvoynov

  • Jr. Member
  • **
  • Сообщений: 89
  • Рейтинг читателей: 2
    • Просмотр профиля
На виндах, и все довольно просто. Ставим Ruby и DevKit отсюда http://rubyinstaller.org/. Бывают иногда проблемы с гемами, которые требуют определенных версий системных библиотек на С (последний раз убил пол-дня на MySQL). Но, как правило, есть решения - первым делом обновить менеджер пакетов (gem update --system, если не помогло немного погуглить :)
С уважением,
Николай